package com.crm.pay.service;

import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.pojo.table.CustomLoginTable;

import java.util.List;

public interface CustomLoginService {

    void save(CustomLoginTable customLoginTable) throws ServiceException;

    List<CustomLoginTable> getAllByCustomId(Long customId) throws ServiceException;

    CustomLoginTable getByCustomIdAndLogin(Long customId, Long login) throws ServiceException;

    CustomLoginTable getByLogin(Long login) throws ServiceException;

    List<CustomLoginTable> getByCustomIdAndLogins(Long customId, List<Long> logins) throws ServiceException;

}
